## NMSettingOlpcMesh NMSettingOlpcMesh |

## Functions

NMSetting * | nm_setting_olpc_mesh_new ()
GBytes * | nm_setting_olpc_mesh_get_ssid ()
guint32 | nm_setting_olpc_mesh_get_channel ()
const char * | nm_setting_olpc_mesh_get_dhcp_anycast_address ()

## Types and Values

#define | NM_SETTING_OLPC_MESH_SETTING_NAME
#define | NM_SETTING_OLPC_MESH_SSID
#define | NM_SETTING_OLPC_MESH_CHANNEL
#define | NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

## Description

## Functions

### nm_setting_olpc_mesh_new ()

    NMSetting *
    nm_setting_olpc_mesh_new (void);

### nm_setting_olpc_mesh_get_ssid ()

    GBytes *
    nm_setting_olpc_mesh_get_ssid (NMSettingOlpcMesh *setting);

### nm_setting_olpc_mesh_get_channel ()

    guint32
    nm_setting_olpc_mesh_get_channel (NMSettingOlpcMesh *setting);

### nm_setting_olpc_mesh_get_dhcp_anycast_address ()

    const char *
    nm_setting_olpc_mesh_get_dhcp_anycast_address
                                   (NMSettingOlpcMesh *setting);

## Types and Values

### NM_SETTING_OLPC_MESH_SETTING_NAME

    #define NM_SETTING_OLPC_MESH_SETTING_NAME "802-11-olpc-mesh"

### NM_SETTING_OLPC_MESH_SSID

    #define NM_SETTING_OLPC_MESH_SSID                 "ssid"

### NM_SETTING_OLPC_MESH_CHANNEL

    #define NM_SETTING_OLPC_MESH_CHANNEL              "channel"

### NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS

    #define NM_SETTING_OLPC_MESH_DHCP_ANYCAST_ADDRESS "dhcp-anycast-address"